{
    "name": "haystack",
    "version": "0.1.0",
    "description": "Screenshots that organize themselves",
    "type": "module",
    "scripts": {
        "start": "vite",
        "dev": "vite",
        "build": "vite build",
        "serve": "vite preview",
        "tauri": "tauri",
        "lint": "bunx @biomejs/biome lint .",
        "format": "bunx @biomejs/biome format . --write"
    },
    "license": "MIT",
    "dependencies": {
        "@kobalte/core": "^0.13.10",
        "@kobalte/tailwindcss": "^0.9.0",
        "@solidjs/router": "^0.15.3",
        "@tabler/icons-solidjs": "^3.34.0",
        "@tauri-apps/api": "^2.6.0",
        "@tauri-apps/plugin-dialog": "~2.3.0",
        "@tauri-apps/plugin-fs": "~2.4.0",
        "@tauri-apps/plugin-http": "2.4.3",
        "@tauri-apps/plugin-log": "~2.6.0",
        "@tauri-apps/plugin-opener": "^2.4.0",
        "@tauri-apps/plugin-os": "2.2.1",
        "clsx": "^2.1.1",
        "fuse.js": "^7.1.0",
        "jwt-decode": "^4.0.0",
        "solid-js": "^1.9.7",
        "solid-markdown": "^2.0.14",
        "solid-motionone": "^1.0.4",
        "solidjs-markdown": "^0.2.0",
        "tailwind-scrollbar-hide": "^2.0.0",
        "tauri-plugin-ios-shared-token-api": "file:../tauri-plugin-ios-shared-token",
        "tauri-plugin-sharetarget-api": "^0.1.6",
        "valibot": "^1.1.0"
    },
    "devDependencies": {
        "@biomejs/biome": "^1.9.4",
        "@tauri-apps/cli": "^2.6.2",
        "@types/resolve": "^1.20.6",
        "autoprefixer": "^10.4.21",
        "postcss": "^8.5.6",
        "postcss-cli": "^11.0.1",
        "tailwindcss": "3.4.0",
        "typescript": "~5.6.3",
        "vite": "^6.3.5",
        "vite-plugin-solid": "^2.11.7",
        "vite-tsconfig-paths": "^5.1.4"
    }
}
